> For the complete documentation index, see [llms.txt](https://docs.labii.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.labii.com/api/methods/notification.md).

# Notification

## Method & Permission

| API                 | GET  | POST | PUT | PATCH | DELETE |
| ------------------- | ---- | ---- | --- | ----- | ------ |
| Organization List   | User | User | -   | -     | -      |
| Organization Detail | User | -    | -   | User  | User   |

## Notification List

<mark style="color:blue;">`GET`</mark> `/notifications/notification/list/{level}/{sid}/{serializer}/`

Get a list of notifications. You only get the notifications that sent to you.

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| level      | string | organization     |
| sid        | string | organization sid |
| serializer | string | list or detail   |

#### Headers

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
# serializer = name
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 2,
    "count": 12,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "adgj0a40xb7chmrwBGL",
            "name": "New version v5.0 released",
        },
        ...
    [
{
# serializer = list
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 2,
    "count": 12,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "adgj0a40xb7chmrwBGL",
            "name": "New version v5.0 released",
            "From": {
                "sid": "Labii",
                "name": "Labii"
            },
            "is_read": false,
            "change_permission": true
        },
        ...
    [
{
# serializer = detail
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 2,
    "count": 12,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "ILOR0a40x5dKPUZ50ej",
            "parent": null,
            "From": {
                "sid": "Labii",
                "name": "Labii"
            },
            "name": "Filter digest for My experiments on 2021-03-14",
            "body": "",
            "rows": [
                
            ],
            "is_read": true,
            "updated_by": null,
            "date_updated": "2021-03-14T20:57:37.077810Z",
            "date_created": "2021-03-14T20:57:37.073960Z",
            "change_permission": true
        },
        ...
    [
{
```

{% endtab %}
{% endtabs %}

## Notification List

<mark style="color:green;">`POST`</mark> `/notifications/notification/list/{level}/{sid}/{serializer}/`

Create a new notification

#### Path Parameters

| Name       | Type   | Description |
| ---------- | ------ | ----------- |
| level      | string |             |
| sid        | string |             |
| serializer | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

#### Request Body

| Name          | Type    | Description                                                          |
| ------------- | ------- | -------------------------------------------------------------------- |
| to            | array   | \[{sid:"", name:""}], array of personnel to receive the notification |
| name          | string  |                                                                      |
| body          | string  | the message of the notification                                      |
| parent        | object  | {sid:"", name:""} of a parent notificaiton                           |
| should\_email | boolean | Should send an email regardless of the user's email settings         |

{% tabs %}
{% tab title="201 " %}

```yaml
{
    "sid": "ILOR0a40x5dKPUZ50ej",
    "parent": null,
    "From": {
        "sid": "Labii",
        "name": "Labii"
    },
    "name": "Filter digest for My experiments on 2021-03-14",
    "body": "",
    "rows": [
        
    ],
    "is_read": true,
    "updated_by": null,
    "date_updated": "2021-03-14T20:57:37.077810Z",
    "date_created": "2021-03-14T20:57:37.073960Z",
    "change_permission": true
}
```

{% endtab %}

{% tab title="406 " %}

```
Please select at least one person or team to receive this notification
```

{% endtab %}
{% endtabs %}

## Notification Detail

<mark style="color:blue;">`GET`</mark> `/notifications/notification/detail/{sid}/`

The view of notification will make this notification is\_read=True.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "ILOR0a40x5dKPUZ50ej",
    "parent": null,
    "From": {
        "sid": "Labii",
        "name": "Labii"
    },
    "name": "Filter digest for My experiments on 2021-03-14",
    "body": "",
    "rows": [
        
    ],
    "is_read": true,
    "updated_by": null,
    "date_updated": "2021-03-14T20:57:37.077810Z",
    "date_created": "2021-03-14T20:57:37.073960Z",
    "change_permission": true
}
```

{% endtab %}
{% endtabs %}

## Notification Detail

<mark style="color:purple;">`PATCH`</mark> `/notifications/notification/detail/{sid}/`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "ILOR0a40x5dKPUZ50ej",
    "parent": null,
    "From": {
        "sid": "Labii",
        "name": "Labii"
    },
    "name": "Filter digest for My experiments on 2021-03-14",
    "body": "",
    "rows": [
        
    ],
    "is_read": true,
    "updated_by": null,
    "date_updated": "2021-03-14T20:57:37.077810Z",
    "date_created": "2021-03-14T20:57:37.073960Z",
    "change_permission": true
}
```

{% endtab %}
{% endtabs %}

## Notification Detail

<mark style="color:red;">`DELETE`</mark> `/notifications/notification/detail/{sid}/`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 If there are other receivers." %}

```
{}
```

{% endtab %}

{% tab title="204 If you are the only receiver." %}

```
{}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.labii.com/api/methods/notification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
